> For the complete documentation index, see [llms.txt](https://pangeaswap.gitbook.io/pangeaswap/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://pangeaswap.gitbook.io/pangeaswap/en/developers/concept-overview/fees.md).

# Fees

### Liquidity Provider’s Income

There are 3 main types of income that liquidity providers can receive from Pangea's pool.

$$
LP\_Fee = swap\_fee + flash\_fee + airdrop\_reward (rewards)
$$

Liquidity providers receive these returns based on the size and price range of their liquidity positions.

### Income Breakdown

1\. `swap Fee` : Fees received from the swap amount when a swap occurs. Taken from the output token.

$$
swap\_fee = swap\_output \* \frac{pool\_fee\_rate}{1,000,000}
$$

c.f.) 10% of the total `swap fee` goes to the protocol.

2\. `flash Fee` : Fees received from flash transactions where borrowing and repaying assets within 1 transaction.

$$
flash\_fee = borrowed\_amount \* \frac{flash\_fee}{1,000,000}
$$

c.f) The `flash fee` is calculated at the same rate as the pool fee rate per pool.

c.f.) 10% of the total `flash fee` goes to the protocol.

3\. `airdrop Reward` : Airdrop rewards for liquidity providers in the pool. Provided together with swap fee rewards when claiming.

$$
airdrop\_{per}\_{second} = \frac{airdrop\_amount}{86,400}
$$

c.f) Distributed in proportion to the time and is distributed to the users who have provided liquidity to price ranges including the pool price at that time. Airdrop rewards start to be distributed every Thursday at 09:00(KST, UTC+9), and are distributed linearly for one week.

c.f.) No protocol fee is taken from `airdrop rewards`.

### How to Calculate Estimated APR

Estimated APR is calculated by using the following formula to find the Estimated APR (APR\_full range) for a full range position and then multiplying it by the Fee Boost.

​

$$
unitReward\_0 = (swapFeeGrowthGlobal0\_{now} - swapFeeGrowthGlobal0\_{now-1D}) \cdot price\_{0} \ unitReward\_1 = (swapFeeGrowthGlobal1\_{now} - swapFeeGrowthGlobal1\_{now-1D}) \cdot price\_{1} \unitAirdropReward\_0
\= airdrop\_{per}\_{second}\_0 \cdot86,400 \cdot price\_0 \unitAirdropReward\_1
\= airdrop\_{per}\_{second}\_0 \cdot 86,400 \cdot price\_1
$$

$$
APR\_{full\_range} =(unitReward\_0 + unitReward\_1 \ +unitAirdropReward\_0+unitAirdropReward\_1) \cdot liquidity\_{1 dollar} \cdot 365D
$$

$$
Estimated\_APR = APR\_{full\_range} \cdot Fee Boost
$$


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://pangeaswap.gitbook.io/pangeaswap/en/developers/concept-overview/fees.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
